{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Add a user to a workspace or organization.\nThe user can be referenced by their globally unique user ID or their email address. Returns the full user record for the invited user.","properties":{"path":{"type":"object","properties":{"workspace_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the workspace or organization."}},"required":["workspace_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["email","name","photo","photo.image_1024x1024","photo.image_128x128","photo.image_21x21","photo.image_27x27","photo.image_36x36","photo.image_60x60"]},"examples":[["email","name","photo","photo.image_1024x1024","photo.image_128x128","photo.image_21x21","photo.image_27x27","photo.image_36x36","photo.image_60x60"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/WorkspaceAddUserRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"WorkspaceAddUserRequest":{"type":"object","description":"A user identification object for specification with the addUser/removeUser endpoints.","properties":{"user":{"description":"A string identifying a user. This can either be the string \"me\", an email, or the gid of a user.","type":"string","examples":["12345"]}}}}},"name":"Add a user to a workspace or organization","id":"asana.adduserforworkspace","example":{"path":{"workspace_gid":"12345"},"body":{}},"maxRequests":1,"summary":false}}